# Platform API: Dashboard

## GET /api/platform/dashboard

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"DashboardData":{"type":"object","properties":{"ActiveNotifications":{"type":"array","items":{"$ref":"#/components/schemas/ActiveNotification"},"nullable":true},"Counts":{"$ref":"#/components/schemas/DashboardCounts"}},"additionalProperties":false},"ActiveNotification":{"type":"object","properties":{"NotificationId":{"type":"string","format":"uuid"},"Type":{"$ref":"#/components/schemas/DashboardNotificationType"},"Title":{"type":"string","nullable":true},"Details":{"type":"string","nullable":true},"LinkText":{"type":"string","nullable":true},"LinkUrl":{"type":"string","nullable":true},"Modified":{"type":"string","format":"date-time"}},"additionalProperties":false},"DashboardNotificationType":{"enum":["None","PlatformUpdate","ReleaseNotes","Other"],"type":"string"},"DashboardCounts":{"type":"object","properties":{"BankCount":{"type":"integer","format":"int32"},"ActiveBankCount":{"type":"integer","format":"int32"},"FormCount":{"type":"integer","format":"int32"},"PublishedFormCount":{"type":"integer","format":"int32"},"PersonCount":{"type":"integer","format":"int32"},"ActivePersonCount":{"type":"integer","format":"int32"},"ApprovedPersonCount":{"type":"integer","format":"int32"},"CourseCount":{"type":"integer","format":"int32"},"PublishedCourseCount":{"type":"integer","format":"int32"},"StartedEnrollmentCount":{"type":"integer","format":"int32"},"CompletedEnrollmentCount":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/platform/dashboard":{"get":{"tags":["Platform API: Dashboard"],"operationId":"retrieveDashboard","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardData"}},"text/json":{"schema":{"$ref":"#/components/schemas/DashboardData"}}}}}}}}}
```

## POST /api/platform/dashboard/notifications/search

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"DashboardNotificationCriteria":{"type":"object","properties":{"Title":{"type":"string","nullable":true},"OnlyVisibleOnDashboard":{"type":"boolean"}},"additionalProperties":false},"SearchResult":{"required":["Notifications","Users","VisibleOnDashboard"],"type":"object","properties":{"Notifications":{"type":"array","items":{"$ref":"#/components/schemas/DashboardNotification"},"nullable":true},"Users":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"VisibleOnDashboard":{"type":"object","additionalProperties":{"type":"boolean"},"nullable":true}},"additionalProperties":false},"DashboardNotification":{"type":"object","properties":{"NotificationId":{"type":"string","format":"uuid"},"Type":{"$ref":"#/components/schemas/DashboardNotificationType"},"Title":{"type":"string","nullable":true},"Details":{"type":"string","nullable":true},"LinkText":{"type":"string","nullable":true},"LinkUrl":{"type":"string","nullable":true},"StartDate":{"type":"string","format":"date-time","nullable":true},"EndDate":{"type":"string","format":"date-time","nullable":true},"IsActive":{"type":"boolean"},"Created":{"type":"string","format":"date-time"},"CreatedBy":{"type":"string","format":"uuid"},"Modified":{"type":"string","format":"date-time"},"ModifiedBy":{"type":"string","format":"uuid"}},"additionalProperties":false},"DashboardNotificationType":{"enum":["None","PlatformUpdate","ReleaseNotes","Other"],"type":"string"}}},"paths":{"/api/platform/dashboard/notifications/search":{"post":{"tags":["Platform API: Dashboard"],"operationId":"searchNotifications","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DashboardNotificationCriteria"}},"application/json":{"schema":{"$ref":"#/components/schemas/DashboardNotificationCriteria"}},"text/json":{"schema":{"$ref":"#/components/schemas/DashboardNotificationCriteria"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DashboardNotificationCriteria"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchResult"}}}}}}}}}
```

## GET /api/platform/dashboard/notifications/{notificationId}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"DashboardNotification":{"type":"object","properties":{"NotificationId":{"type":"string","format":"uuid"},"Type":{"$ref":"#/components/schemas/DashboardNotificationType"},"Title":{"type":"string","nullable":true},"Details":{"type":"string","nullable":true},"LinkText":{"type":"string","nullable":true},"LinkUrl":{"type":"string","nullable":true},"StartDate":{"type":"string","format":"date-time","nullable":true},"EndDate":{"type":"string","format":"date-time","nullable":true},"IsActive":{"type":"boolean"},"Created":{"type":"string","format":"date-time"},"CreatedBy":{"type":"string","format":"uuid"},"Modified":{"type":"string","format":"date-time"},"ModifiedBy":{"type":"string","format":"uuid"}},"additionalProperties":false},"DashboardNotificationType":{"enum":["None","PlatformUpdate","ReleaseNotes","Other"],"type":"string"}}},"paths":{"/api/platform/dashboard/notifications/{notificationId}":{"get":{"tags":["Platform API: Dashboard"],"operationId":"retrieveNotification","parameters":[{"name":"notificationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardNotification"}},"text/json":{"schema":{"$ref":"#/components/schemas/DashboardNotification"}}}}}}}}}
```

## DELETE /api/platform/dashboard/notifications/{notificationId}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/platform/dashboard/notifications/{notificationId}":{"delete":{"tags":["Platform API: Dashboard"],"operationId":"deleteNotification","parameters":[{"name":"notificationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/platform/dashboard/notifications

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"DashboardNotification":{"type":"object","properties":{"NotificationId":{"type":"string","format":"uuid"},"Type":{"$ref":"#/components/schemas/DashboardNotificationType"},"Title":{"type":"string","nullable":true},"Details":{"type":"string","nullable":true},"LinkText":{"type":"string","nullable":true},"LinkUrl":{"type":"string","nullable":true},"StartDate":{"type":"string","format":"date-time","nullable":true},"EndDate":{"type":"string","format":"date-time","nullable":true},"IsActive":{"type":"boolean"},"Created":{"type":"string","format":"date-time"},"CreatedBy":{"type":"string","format":"uuid"},"Modified":{"type":"string","format":"date-time"},"ModifiedBy":{"type":"string","format":"uuid"}},"additionalProperties":false},"DashboardNotificationType":{"enum":["None","PlatformUpdate","ReleaseNotes","Other"],"type":"string"}}},"paths":{"/api/platform/dashboard/notifications":{"post":{"tags":["Platform API: Dashboard"],"operationId":"modifyNotification","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DashboardNotification"}},"application/json":{"schema":{"$ref":"#/components/schemas/DashboardNotification"}},"text/json":{"schema":{"$ref":"#/components/schemas/DashboardNotification"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DashboardNotification"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardNotification"}},"text/json":{"schema":{"$ref":"#/components/schemas/DashboardNotification"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/platform-api-dashboard.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
